MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029453Open CASCADE[OCCT] OCCT:DRAWpublic2018-01-26 09:342018-06-29 21:19
Reporteraml 
Assigned Toaml 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029453: Draw Harness - unclear syntax of "add" command
DescriptionDraw[2]> help add add : add name1 name2

Arguments order is unclear

It should be
add what where
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0073600)
git (administrator)
2018-01-26 09:36

Branch CR29453 has been created by aml.

SHA-1: 51cf185609a1236f947273d986cc9daafd8a4b77


Detailed log of new commits:

Author: aml
Date: Fri Jan 26 09:35:19 2018 +0300

    0029453: unclear syntax of "add" command
    
    Help message is corrected for "add" command.
(0073601)
aml (developer)
2018-01-26 09:36

Dear msv,
Please check the current state of the CR29453 branch.
(0073603)
kgv (developer)
2018-01-26 10:04

-  theCommands.Add("add","add name1 name2",__FILE__,add,g);
+  theCommands.Add("add","add what where",__FILE__,add,g);

Maybe help can be also extended with a text description of what command actually does?
(0073604)
aml (developer)
2018-01-26 10:07

KGV remark seems to be reasonable. I will take care of it.
(0073605)
abv (manager)
2018-01-26 10:24

Would not it be better to put it as "add subshape to_shape"?
(0073606)
kgv (developer)
2018-01-26 10:32

> Would not it be better to put it as "add subshape to_shape"?
Not that it was fixed in Coding Rules (yet), but TKViewerTest commands tend to prefer camelCase style for arguments in help, not _:
https://dev.opencascade.org/doc/overview/html/occt_dev_guides__coding_rules.html#occt_coding_rules_10 [^]

  theCommands.Add("diffimage",
            "diffimage imageFile1 imageFile2 [diffImageFile]"
    "\n\t\t:           [-toleranceOfColor {0..1}=0] [-blackWhite {on|off}=off] [-borderFilter {on|off}=off]"
    
"\n\t\t:           [-display viewName prsName1 prsName2 prsNameDiff] [-exitOnClose] [-closeOnEscape]"
    
"\n\t\t: Compare two images by content and generate difference image."
    "\n\t\t: When -exitOnClose is specified, closing the view will exit application."
    "\n\t\t: When -closeOnEscape is specified, view will be closed on pressing Escape.",
    __FILE__, VDiffImage, group);
(0073623)
git (administrator)
2018-01-27 10:55

Branch CR29453 has been updated forcibly by aml.

SHA-1: 387e004e7939a0bfe3f636078ef56c2269dd9cac
(0073624)
aml (developer)
2018-01-27 10:57

Dear kgv, could you please take a look at the CR29453 branch? Compilation check will be added on Monday.
(0073630)
git (administrator)
2018-01-29 07:07

Branch CR29453 has been updated forcibly by aml.

SHA-1: ca4e36ae5b9076340fb14716da44ca367314dab8
(0073634)
aml (developer)
2018-01-29 08:24

Compilation is successful under Windows and Linux. Under MacOS it is failed with error: "No space left on device"

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29453-master-AML/view/OCCT%20compile/ [^]
(0073636)
kgv (developer)
2018-01-29 10:03

Please take the patch, regression testing is not needed.
(0073652)
apn (administrator)
2018-01-29 13:53

Combination -
OCCT branch : CR29453 SHA - ca4e36ae5b9076340fb14716da44ca367314dab8
Products branch : master SHA - 9d16afb77be76e276e46b7b3fc08eb16a4eea45e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings
(0073783)
git (administrator)
2018-02-05 11:39

Branch CR29453 has been deleted by kgv.

SHA-1: ca4e36ae5b9076340fb14716da44ca367314dab8

- Related Changesets
occt: master ca4e36ae
Timestamp: 2018-01-26 06:35:19
Author: aml
Details ] Diff ]
0029453: Draw Harness - unclear syntax of "add" command

Help message is corrected for "add" command.
mod - src/DBRep/DBRep.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-01-26 09:34 aml New Issue
2018-01-26 09:34 aml Assigned To => aml
2018-01-26 09:36 git Note Added: 0073600
2018-01-26 09:36 aml Note Added: 0073601
2018-01-26 09:36 aml Assigned To aml => msv
2018-01-26 09:36 aml Status new => resolved
2018-01-26 09:36 aml Steps to Reproduce Updated View Revisions
2018-01-26 10:04 kgv Note Added: 0073603
2018-01-26 10:07 aml Note Added: 0073604
2018-01-26 10:07 aml Assigned To msv => aml
2018-01-26 10:07 aml Status resolved => assigned
2018-01-26 10:09 kgv Summary unclear syntax of "add" command => Draw Harness - unclear syntax of "add" command
2018-01-26 10:24 abv Note Added: 0073605
2018-01-26 10:32 kgv Note Added: 0073606
2018-01-27 10:55 git Note Added: 0073623
2018-01-27 10:57 aml Note Added: 0073624
2018-01-27 10:57 aml Assigned To aml => kgv
2018-01-27 10:57 aml Status assigned => resolved
2018-01-29 07:07 git Note Added: 0073630
2018-01-29 08:24 aml Note Added: 0073634
2018-01-29 10:03 kgv Note Added: 0073636
2018-01-29 10:03 kgv Assigned To kgv => bugmaster
2018-01-29 10:03 kgv Status resolved => reviewed
2018-01-29 13:53 apn Test case number => Not needed
2018-01-29 13:53 apn Note Added: 0073652
2018-01-29 13:53 apn Status reviewed => tested
2018-02-03 18:59 aml Changeset attached => occt master ca4e36ae
2018-02-03 18:59 aml Assigned To bugmaster => aml
2018-02-03 18:59 aml Status tested => verified
2018-02-03 18:59 aml Resolution open => fixed
2018-02-05 11:39 git Note Added: 0073783
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker